Cubase Version Questions


  • What version of Cubase would I need to have in order to use Devvon's Cubase template?I

    I'm currently running windows 10 with cubase 5 and all the waves plugins.

    I wanna buy all of the cubase templates if I can use them with this cubase 5 DAW.   

     

     

     

     

     



Please login to reply this topic!